### org.jfree.layouting.input.style.parser.stylehandler.box

# Class FitPositionReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.box.FitPositionReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class FitPositionReadHandler`
`extends OneOfConstantsReadHandler`

Creation-Date: 27.11.2005, 21:48:44

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSNumericValue`

  `BOTTOM`

  `static CSSNumericValue`

  `CENTER`

  `static CSSNumericValue`

  `LEFT`

  `static CSSNumericValue`

  `RIGHT`

  `static CSSNumericValue`

  `TOP`

  ## Constructor Summary

  `FitPositionReadHandler()`

  ## Method Summary

  `protected CSSValuePair`

  `createResultList(CSSValue firstPosition, CSSValue secondPosition)`

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `protected CSSValue`

  `parseFirstPosition(LexicalUnit value)`

  `protected CSSValue`

  `parseSecondPosition(LexicalUnit value, CSSValue firstValue)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Field Details

### BOTTOM

    public static final CSSNumericValue BOTTOM

### CENTER

    public static final CSSNumericValue CENTER

### LEFT

    public static final CSSNumericValue LEFT

### RIGHT

    public static final CSSNumericValue RIGHT

### TOP

    public static final CSSNumericValue TOP

## Constructor Details

### FitPositionReadHandler

    public FitPositionReadHandler()

## Method Details

### createResultList

    protected CSSValuePair createResultList(CSSValue firstPosition,
                                            CSSValue secondPosition)

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler
> Overrides:
>   createValue in interface OneOfConstantsReadHandler

### parseFirstPosition

    protected CSSValue parseFirstPosition(LexicalUnit value)

### parseSecondPosition

    protected CSSValue parseSecondPosition(LexicalUnit value,
                                           CSSValue firstValue)